--- wwsympa.fcgi.in	2010/10/13 08:46:06	6706
+++ wwsympa.fcgi.in	2012/05/11 09:00:52	7358
@@ -15974,6 +15974,11 @@
 sub do_arc_manage {
     &wwslog('info', "do_arc_manage ($in{'list'})");
 
+    ## Access control
+    unless (defined &check_authz('do_arc', 'web_archive.access')) {
+	return undef;
+    }
+    
     my $search_base = $wwsconf->{'arc_path'}.'/'.$list->get_list_id();
     opendir ARC, "$search_base";
     foreach my $dir (sort {$b cmp $a} grep(!/^\./,readdir ARC)) {
@@ -15991,6 +15996,11 @@
     
     &wwslog('info', "do_arc_download ($in{'list'})");
     
+    ## Access control
+    unless (defined &check_authz('do_arc', 'web_archive.access')) {
+	return undef;
+    }
+    
     ##zip file name:listname_archives.zip  
     my $zip_file_name = $in{'list'}.'_archives.zip';
     my $zip_abs_file = $Conf{'tmpdir'}.'/'.$zip_file_name;
@@ -16091,6 +16101,11 @@
     
     &wwslog('info', "do_arc_delete ($in{'list'})");
     
+    ## Access control
+    unless (defined &check_authz('do_arc', 'web_archive.access')) {
+	return undef;
+    }
+    
     unless (defined  $in{'directories'}){
       	&report::reject_report_web('user','select_month',{},$param->{'action'});
 	&wwslog('info','No Archives months selected');
